Bug 555671 - MRG -146/-147 kernels have older broadcom drivers compared with RHEL5.4
MRG -146/-147 kernels have older broadcom drivers compared with RHEL5.4
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.2
x86_64 All
low Severity medium
: ---
: ---
Assigned To: Arnaldo Carvalho de Melo
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-15 02:10 EST by IBM Bug Proxy
Modified: 2016-05-22 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Updated the Broadcom bnx2 driver to version 2.0.8 to enable new hardware
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 11:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 59458 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-01-15 02:10:46 EST
=Comment: #0=================================================
John G. Stultz <johnstul@us.ibm.com> - 
Rob Russell noted: "The Broadcom network driver (bnx2) in the current MRG is v1.7.8 from july 10,
2008.   RHEL 5.4 base has bnx2 driver v1.9.3 from March 17, 2009."

Apparently some of the changes added between RHEL5.3 and 5.4 are important to the driver functioning
properly on new hardware.

Some of the changes are documented in the following RH bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=475567
https://bugzilla.redhat.com/show_bug.cgi?id=476897
https://bugzilla.redhat.com/show_bug.cgi?id=489519

Would it be possible to update the MRG kernel to more recent bnx2 driver level?
Comment 1 Luis Claudio R. Goncalves 2010-04-15 16:59:27 EDT
Patch bz555671-update_bnx2_driver_to_2.0.8.patch, update to driver version 2.0.8 + fixes compiled by Arnaldo, has been added to kernel-rt 2.6.24.7-153
Comment 3 Clark Williams 2010-07-15 10:55:28 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Updated the Broadcom bnx2 driver to version 2.0.8 to enable new hardware
Comment 4 David Sommerseth 2010-07-22 11:16:22 EDT
Verified by code review.  Found bz555671-update_bnx2_driver_to_2.0.8.patch implemented in kernel-rt-2.6.24.7-160.src.rpm.

[root@dell-pet110-01 ~]# modinfo bnx2
filename:       /lib/modules/2.6.24.7-160.el5rt/kernel/drivers/net/bnx2.ko
firmware:       bnx2/bnx2-rv2p-09ax-5.0.0.j10.fw
firmware:       bnx2/bnx2-rv2p-09-5.0.0.j10.fw
firmware:       bnx2/bnx2-mips-09-5.0.0.j9.fw
firmware:       bnx2/bnx2-rv2p-06-5.0.0.j3.fw
firmware:       bnx2/bnx2-mips-06-5.0.0.j6.fw
version:        2.0.8
license:        GPL
description:    Broadcom NetXtreme II BCM5706/5708/5709/5716 Driver
author:         Michael Chan <mchan@broadcom.com>
srcversion:     29E5C313A3DC1F4DD5CFB05
[...snip...]
vermagic:       2.6.24.7-160.el5rt SMP preempt mod_unload 686 4KSTACKS 

Version info from patch:
-#define DRV_MODULE_VERSION     "1.7.8"
-#define DRV_MODULE_RELDATE     "July 10, 2008"
+#define DRV_MODULE_VERSION     "2.0.8"
+#define DRV_MODULE_RELDATE     "Feb 15, 2010"

dmesg from booting -160:
Broadcom NetXtreme II Gigabit Ethernet Driver bnx2 v2.0.8 (Feb 15, 2010)

Ran nfs and cifs connectathon tests and kernel/networking/nic/stress tests against boxes with bnx2x and igb cards without any issues.  General networking tested, dhcp, ssh, wget/curl, ping.  Over 20GB of data have been pushed over the interface.
Comment 5 IBM Bug Proxy 2010-07-27 22:40:54 EDT
------- Comment From johnstul@us.ibm.com 2010-07-27 22:34 EDT-------
I think we can mark this accepted.
Comment 6 errata-xmlrpc 2010-08-17 11:54:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0631.html

Note You need to log in before you can comment on or make changes to this bug.